package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 发货方式
 */
@AllArgsConstructor
@Getter
public enum EDelivery {

    /**
     *
     */
    EMPTY(0, "未知", 1, EnumsPrefixConstants.DELIVERY + "0"),

    /**
     * 快递发货
     */
    FAST_MAIL(1, "快递发货", 0, EnumsPrefixConstants.DELIVERY + "1"),

    /**
     * 公司自提
     */
    COMPANY_PICKED_UP(2, "公司自提", 0, EnumsPrefixConstants.DELIVERY + "2"),

    /**
     * 店铺自提
     */
    SHOP_PICKED_UP(3, "店铺自提", 0, EnumsPrefixConstants.DELIVERY + "3"),

    /**
     * 店铺配送
     */
    SHOP_DELIVERY(4, "店铺配送", 0, EnumsPrefixConstants.DELIVERY + "4"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;

    public static EDelivery getDelivery(int value) {
        for (EDelivery eDelivery : EDelivery.values()) {
            if (eDelivery.getValue() == value) {
                return eDelivery;
            }
        }
        return EDelivery.EMPTY;
    }
}
